#pragma once
#include <QWidget>
#include <QGridLayout>
#include "src/data/albumInformation.h"

class AlbumSelector : public QWidget
{
    Q_OBJECT
public:
    explicit AlbumSelector(QWidget *parent = nullptr);

private:
    QList<AlbumData> scanFolder(const QString& root);

    QGridLayout* grid;
};
